ContextResourceEnvRef (Apache Tomcat 9.0.104 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.web, class: ContextResourceEnvRef

# Class ContextResourceEnvRef

java.lang.Object
org.apache.tomcat.util.descriptor.web.ResourceBase
org.apache.tomcat.util.descriptor.web.ContextResourceEnvRef

All Implemented Interfaces:
  `Serializable`, `Injectable`

public class ContextResourceEnvRef extends ResourceBase
Representation of an application resource reference, as represented in an `<res-env-ref>` element in the deployment descriptor.

Author:
  Craig R. McClanahan, Peter Rossbach (pero@apache.org)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextResourceEnvRef()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `boolean`
  `getOverride()`
  `int`
  `hashCode()`
  `void`
  `setOverride(boolean override)`
  `String`
  `toString()`
  Return a String representation of this object.

  ### Methods inherited from class org.apache.tomcat.util.descriptor.web.ResourceBase

  `addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContextResourceEnvRef

    public ContextResourceEnvRef()

- ## Method Details

  - ### getOverride

    public boolean getOverride()

  - ### setOverride

    public void setOverride(boolean override)

  - ### toString

    public String toString()
    Return a String representation of this object.
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ResourceBase`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `ResourceBase`